//+------------------------------------------------------------------+
//|                                                  arrowplacer.mq4 |
//|                                                             Rudy |
//|                                                        mywebsite |
//+------------------------------------------------------------------+
#property copyright "Rudy"
#property link      "mywebsite"
#property version   "1.00"
#property strict
#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 clrBlue
#property indicator_width1 2
#property indicator_color2 clrGreen
#property indicator_width2 1
#property indicator_color3 clrRed
#property indicator_width3 1

//--- Arrays

double upArrow[];
double downArrow[];
double MaValue[];

//+------------------------------------------------------------------+
//|    External settings                                                              |
//+------------------------------------------------------------------+
//--- Indicator settings
extern int PercentageCandle =50;
//---Visual settings
extern color UpArrowColor=clrGreen;
extern int UpArrowSize=1;
extern color DownArrowColor=clrRed;
extern int DownArrowSize=1;

//---



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping

   SetIndexBuffer(1,upArrow);//associates array with buffer
   SetIndexStyle(1,DRAW_ARROW,EMPTY,UpArrowSize,UpArrowColor);
   SetIndexArrow(1,233);//drawing wingding 233
   SetIndexLabel(1,"Buy signal");

   SetIndexBuffer(2,downArrow);//associates array with buffer
   SetIndexStyle(2,DRAW_ARROW,EMPTY,DownArrowSize,DownArrowColor);
   SetIndexArrow(2,234);//drawing wingding 234
   SetIndexLabel(2,"sell signal");



   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//--
   int counted_bars=IndicatorCounted();
// check for possible errors
   if(counted_bars<0) return(-1);
// the last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   if(counted_bars==0)
     {
      limit=Bars-counted_bars-1;
     }

   
   for(int i=1;i<limit;i++)
     {
    
             
      // Drawing Up Arrows
      if((Open[i]<=Close[i+1] && Open[i]<Open[i+1] && Close[i]>Open[i+1])  //determining if the last closed bar is an engulfing bar 
      && (iClose("EURUSDecn",PERIOD_D1,1)>iOpen("EURUSDecn",PERIOD_D1,1))) //determining if it is in the direction of the previous daily closed bar                                             
        {
         upArrow[i]=Close[i];                                              // printing the upnarrow
        }
      // Drawing Down Arrows
      if(Open[i]>=Close[i+1] && Open[i]>Open[i+1] && Close[i]<Open[i+1]    //determining if the last closed bar is an engulfing bar 
      && (iClose("EURUSDecn",PERIOD_D1,1)>iOpen("EURUSDecn",PERIOD_D1,1))) //determining if it is in the direction of the previous daily closed bar     
        {
         downArrow[i]=Close[i];                                            // printing the downarrow
        }
     }

//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+
